// interface.h

#ifndef INTERFACE_H_ROGUELIKE_1
#define INTERFACE_H_ROGUELIKE_1

#include "Tile.h"
#include "Key.h"

namespace Interface
{
  void init(void);
  void cleanup(void);
}

namespace MapViewer
{
  void init(void);
  void cleanup(void);

  void display(void);
  void hide(void);
  void setTile(int x, int y, Tile theTile);
  int getWidth(void);
  int getHeight(void);
}

namespace KeyboardReader
{
  void init(void);
  void cleanup(void);

  Key getNextKey(void);
}

#endif
