// Tile.h

#ifndef TILE_H_ROGUELIKE_1
#define TILE_H_ROGUELIKE_1

enum Tile
{
  // Simple tiles
  TIME_SIMPLE_BEGIN = 0,

  TILE_UNKNOWN = 0,
  TILE_PLAYER = 1,

  TILE_WALL = 2,
  TILE_FLOOR = 3,

  TILE_SIMPLE_END = 4,
  TILE_SIMPLE_MASK = 0x0000ffff,
  // Flags
  TILE_LAST_SEEN = 0x00010000,
  TILE_FACING =    0x00020000,

  TILE_FLAG_MASK = 0xffff0000,
};

#endif
